#include <stdio.h>

int main () {
  int n, m;
  int pocetak, suma;
  int i, j;
  int sumica;
  
  scanf("%d%d", &m, &n);
  
  if(m<n || m<0 || n<0) {
    printf("-1");
  }
  
  pocetak=0;
  suma=0;
  
  for(i=0; i<m-n+1; i++) {
    pocetak=pocetak+1;
    sumica=pocetak-1;
    
    for(j=0; j<n; j++) {
      sumica=sumica+1;
      suma=suma+sumica;
    }
      printf("%d ", suma);
      suma=0;
  }
    
    
  
  return 0;
}